[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# subtract(Tvector3_extended,extended):Tvector3_extended

Subtract scalar from three-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 423

`operator operator -(`
`const x: Tvector3_extended;`
`y: extended`
`):Tvector3_extended;`

## Description

This operator allows you to subtract a scalar value from a vector. The scalar is subtracted from all elements of the vector, the result is returned as a new vector.